var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';

import ColumnsContext from './ColumnsContext';
import _Columns from './styled';

var Columns = function Columns(_ref) {
  var children = _ref.children,
      className = _ref.className,
      isGapless = _ref.isGapless,
      isOneLine = _ref.isOneLine,
      minBreakpoint = _ref.minBreakpoint,
      props = _objectWithoutProperties(_ref, ['children', 'className', 'isGapless', 'isOneLine', 'minBreakpoint']);

  return React.createElement(
    ColumnsContext.Provider,
    { value: { isGapless: isGapless, minBreakpoint: minBreakpoint } },
    React.createElement(
      _Columns,
      _extends({
        className: className,
        isGapless: isGapless,
        isOneLine: isOneLine,
        minBreakpoint: minBreakpoint
      }, props),
      children
    )
  );
};

Columns.defaultProps = {
  className: null,
  isGapless: false,
  isOneLine: false,
  minBreakpoint: null
};

export default Columns;