var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import { withTheme } from 'reakit/styled';
import _get from 'lodash/get';
import '../types';
import _Group from './styled';

var getVerticalBreakpoint = function getVerticalBreakpoint(_ref) {
  var breakpoint = _ref.breakpoint,
      theme = _ref.theme;

  return typeof breakpoint === 'number' ? breakpoint : _get(theme, 'layout[' + breakpoint + 'Breakpoint]');
};

var Group = function Group(_ref2) {
  var children = _ref2.children,
      className = _ref2.className,
      isVertical = _ref2.isVertical,
      theme = _ref2.theme,
      _verticalAt = _ref2.verticalAt,
      props = _objectWithoutProperties(_ref2, ['children', 'className', 'isVertical', 'theme', 'verticalAt']);

  var verticalAt = getVerticalBreakpoint({ breakpoint: _verticalAt, theme: theme });
  return React.createElement(
    _Group,
    _extends({ className: className, vertical: isVertical, verticalAt: verticalAt }, props),
    children
  );
};

export { Group };
Group.defaultProps = {
  className: null,
  isVertical: false,
  theme: {},
  verticalAt: null
};

export default withTheme(Group);