var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _templateObject = _taggedTemplateLiteralLoose(['\n  border: 1px solid ', ';\n  border-radius: 5px;\n  padding: 0.25rem 0.5rem;\n'], ['\n  border: 1px solid ', ';\n  border-radius: 5px;\n  padding: 0.25rem 0.5rem;\n']);

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }

import React from 'react';
import { theme } from 'styled-tools';
import ConditionalWrap from 'conditional-wrap';

import styled from '../styled';
import { InlineBlock } from '../primitives';
import TableBody from './TableBody';
import TableCaption from './TableCaption';
import TableCell from './TableCell';
import TableFoot from './TableFoot';
import TableHead from './TableHead';
import TableHeadCell from './TableHeadCell';
import TableRow from './TableRow';
import _Table from './styled';

var OuterBorder = styled(InlineBlock)(_templateObject, theme('Table.borderColor'));

var Table = function Table(_ref) {
  var a11yTitle = _ref.a11yTitle,
      as = _ref.as,
      children = _ref.children,
      className = _ref.className,
      hasBorder = _ref.hasBorder,
      props = _objectWithoutProperties(_ref, ['a11yTitle', 'as', 'children', 'className', 'hasBorder']);

  return React.createElement(
    ConditionalWrap,
    { condition: hasBorder, wrap: function wrap(children) {
        return React.createElement(
          OuterBorder,
          null,
          children
        );
      } },
    React.createElement(
      _Table,
      _extends({ as: as, 'aria-label': a11yTitle }, props),
      children
    )
  );
};

Table.Body = TableBody;
Table.Caption = TableCaption;
Table.Cell = TableCell;
Table.Foot = TableFoot;
Table.Head = TableHead;
Table.HeadCell = TableHeadCell;
Table.Row = TableRow;

Table.defaultProps = {
  a11yTitle: null,
  as: 'table',
  className: null,
  hasBorder: false
};

export default Table;