var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from 'react';
import ThemeProvider from 'reakit/Provider';

import Global from '../_utils/Global';
import reakitTheme from '../_utils/reakitTheme';

import { defaultTheme } from '../themes';

var Provider = function Provider(_ref) {
  var children = _ref.children,
      isStandalone = _ref.isStandalone,
      _theme = _ref.theme;

  var theme = defaultTheme({ overrides: _theme });
  if (isStandalone) {
    theme = _theme;
  }
  theme = _extends({}, theme, reakitTheme);
  return React.createElement(
    ThemeProvider,
    { theme: theme },
    React.createElement(
      Global,
      null,
      children
    )
  );
};

Provider.defaultProps = {
  isStandalone: false,
  theme: {}
};

export default Provider;