'use strict';

exports.__esModule = true;
exports.ThemedButton = exports.Button = exports.SpinnerWrapper = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _templateObject = _taggedTemplateLiteralLoose(['\n  position: absolute;\n  width: 100%;\n  height: 100%;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n\n  & + span {\n    opacity: 0;\n  }\n'], ['\n  position: absolute;\n  width: 100%;\n  height: 100%;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n\n  & + span {\n    opacity: 0;\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styled = require('reakit/styled');

var _styled2 = _interopRequireDefault(_styled);

var _Box = require('reakit/Box');

var _Box2 = _interopRequireDefault(_Box);

var _get2 = require('lodash/get');

var _get3 = _interopRequireDefault(_get2);

var _Spinner = require('../Spinner');

var _Spinner2 = _interopRequireDefault(_Spinner);

var _styled3 = require('./styled');

var _styled4 = _interopRequireDefault(_styled3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }

var SpinnerWrapper = exports.SpinnerWrapper = (0, _styled2.default)(_Box2.default)(_templateObject);

var Button = function Button(_ref) {
  var children = _ref.children,
      className = _ref.className,
      disabled = _ref.disabled,
      isLoading = _ref.isLoading,
      palette = _ref.palette,
      size = _ref.size,
      type = _ref.type,
      props = _objectWithoutProperties(_ref, ['children', 'className', 'disabled', 'isLoading', 'palette', 'size', 'type']);

  var themePalette = (0, _get3.default)(props, 'theme.palette');
  return _react2.default.createElement(
    _styled4.default,
    _extends({
      className: className,
      disabled: disabled,
      isLoading: isLoading,
      palette: palette,
      size: size,
      type: type
    }, props),
    isLoading ? _react2.default.createElement(
      SpinnerWrapper,
      null,
      _react2.default.createElement(_Spinner2.default, {
        color: type === 'default' ? themePalette[(palette || '') + 'Inverted'](props) : themePalette['' + (palette || '')]
      })
    ) : null,
    _react2.default.createElement(
      'span',
      null,
      children
    )
  );
};

exports.Button = Button;
Button.defaultProps = {
  as: null,
  className: null,
  disabled: false,
  isLoading: false,
  palette: 'default',
  size: 'default',
  type: 'default'
};

var ThemedButton = exports.ThemedButton = (0, _styled.withTheme)(Button);