'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ColumnsContext = require('../Columns/ColumnsContext');

var _ColumnsContext2 = _interopRequireDefault(_ColumnsContext);

var _styled = require('./styled');

var _styled2 = _interopRequireDefault(_styled);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Column = function Column(_ref) {
  var children = _ref.children,
      className = _ref.className,
      spread = _ref.spread,
      spreadMobile = _ref.spreadMobile,
      spreadTablet = _ref.spreadTablet,
      spreadDesktop = _ref.spreadDesktop,
      spreadWidescreen = _ref.spreadWidescreen,
      spreadFullHD = _ref.spreadFullHD,
      spreadOffset = _ref.spreadOffset,
      spreadMobileOffset = _ref.spreadMobileOffset,
      spreadTabletOffset = _ref.spreadTabletOffset,
      spreadDesktopOffset = _ref.spreadDesktopOffset,
      spreadWidescreenOffset = _ref.spreadWidescreenOffset,
      spreadFullHDOffset = _ref.spreadFullHDOffset,
      props = _objectWithoutProperties(_ref, ['children', 'className', 'spread', 'spreadMobile', 'spreadTablet', 'spreadDesktop', 'spreadWidescreen', 'spreadFullHD', 'spreadOffset', 'spreadMobileOffset', 'spreadTabletOffset', 'spreadDesktopOffset', 'spreadWidescreenOffset', 'spreadFullHDOffset']);

  return _react2.default.createElement(
    _ColumnsContext2.default.Consumer,
    null,
    function (_ref2) {
      var isGapless = _ref2.isGapless,
          minBreakpoint = _ref2.minBreakpoint;
      return _react2.default.createElement(
        _styled2.default,
        _extends({
          className: className,
          isGapless: isGapless,
          minBreakpoint: minBreakpoint,
          spread: spread,
          spreadMobile: spreadMobile,
          spreadTablet: spreadTablet,
          spreadDesktop: spreadDesktop,
          spreadWidescreen: spreadWidescreen,
          spreadFullHD: spreadFullHD,
          spreadOffset: spreadOffset,
          spreadMobileOffset: spreadMobileOffset,
          spreadTabletOffset: spreadTabletOffset,
          spreadDesktopOffset: spreadDesktopOffset,
          spreadWidescreenOffset: spreadWidescreenOffset,
          spreadFullHDOffset: spreadFullHDOffset
        }, props),
        children
      );
    }
  );
};

Column.defaultProps = {
  className: null,
  spread: null,
  spreadMobile: null,
  spreadTablet: null,
  spreadDesktop: null,
  spreadWidescreen: null,
  spreadFullHD: null,
  spreadOffset: null,
  spreadMobileOffset: null,
  spreadTabletOffset: null,
  spreadDesktopOffset: null,
  spreadWidescreenOffset: null,
  spreadFullHDOffset: null
};

exports.default = Column;
module.exports = exports['default'];