'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ColumnsContext = require('./ColumnsContext');

var _ColumnsContext2 = _interopRequireDefault(_ColumnsContext);

var _styled = require('./styled');

var _styled2 = _interopRequireDefault(_styled);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Columns = function Columns(_ref) {
  var children = _ref.children,
      className = _ref.className,
      isGapless = _ref.isGapless,
      isOneLine = _ref.isOneLine,
      minBreakpoint = _ref.minBreakpoint,
      props = _objectWithoutProperties(_ref, ['children', 'className', 'isGapless', 'isOneLine', 'minBreakpoint']);

  return _react2.default.createElement(
    _ColumnsContext2.default.Provider,
    { value: { isGapless: isGapless, minBreakpoint: minBreakpoint } },
    _react2.default.createElement(
      _styled2.default,
      _extends({
        className: className,
        isGapless: isGapless,
        isOneLine: isOneLine,
        minBreakpoint: minBreakpoint
      }, props),
      children
    )
  );
};

Columns.defaultProps = {
  className: null,
  isGapless: false,
  isOneLine: false,
  minBreakpoint: null
};

exports.default = Columns;
module.exports = exports['default'];