'use strict';

exports.__esModule = true;
exports.Group = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styled = require('reakit/styled');

var _get2 = require('lodash/get');

var _get3 = _interopRequireDefault(_get2);

require('../types');

var _styled2 = require('./styled');

var _styled3 = _interopRequireDefault(_styled2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var getVerticalBreakpoint = function getVerticalBreakpoint(_ref) {
  var breakpoint = _ref.breakpoint,
      theme = _ref.theme;

  return typeof breakpoint === 'number' ? breakpoint : (0, _get3.default)(theme, 'layout[' + breakpoint + 'Breakpoint]');
};

var Group = function Group(_ref2) {
  var children = _ref2.children,
      className = _ref2.className,
      isVertical = _ref2.isVertical,
      theme = _ref2.theme,
      _verticalAt = _ref2.verticalAt,
      props = _objectWithoutProperties(_ref2, ['children', 'className', 'isVertical', 'theme', 'verticalAt']);

  var verticalAt = getVerticalBreakpoint({ breakpoint: _verticalAt, theme: theme });
  return _react2.default.createElement(
    _styled3.default,
    _extends({ className: className, vertical: isVertical, verticalAt: verticalAt }, props),
    children
  );
};

exports.Group = Group;
Group.defaultProps = {
  className: null,
  isVertical: false,
  theme: {},
  verticalAt: null
};

exports.default = (0, _styled.withTheme)(Group);