'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _templateObject = _taggedTemplateLiteralLoose(['\n  border: 1px solid ', ';\n  border-radius: 5px;\n  padding: 0.25rem 0.5rem;\n'], ['\n  border: 1px solid ', ';\n  border-radius: 5px;\n  padding: 0.25rem 0.5rem;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledTools = require('styled-tools');

var _conditionalWrap = require('conditional-wrap');

var _conditionalWrap2 = _interopRequireDefault(_conditionalWrap);

var _styled = require('../styled');

var _styled2 = _interopRequireDefault(_styled);

var _primitives = require('../primitives');

var _TableBody = require('./TableBody');

var _TableBody2 = _interopRequireDefault(_TableBody);

var _TableCaption = require('./TableCaption');

var _TableCaption2 = _interopRequireDefault(_TableCaption);

var _TableCell = require('./TableCell');

var _TableCell2 = _interopRequireDefault(_TableCell);

var _TableFoot = require('./TableFoot');

var _TableFoot2 = _interopRequireDefault(_TableFoot);

var _TableHead = require('./TableHead');

var _TableHead2 = _interopRequireDefault(_TableHead);

var _TableHeadCell = require('./TableHeadCell');

var _TableHeadCell2 = _interopRequireDefault(_TableHeadCell);

var _TableRow = require('./TableRow');

var _TableRow2 = _interopRequireDefault(_TableRow);

var _styled3 = require('./styled');

var _styled4 = _interopRequireDefault(_styled3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }

var OuterBorder = (0, _styled2.default)(_primitives.InlineBlock)(_templateObject, (0, _styledTools.theme)('Table.borderColor'));

var Table = function Table(_ref) {
  var a11yTitle = _ref.a11yTitle,
      as = _ref.as,
      children = _ref.children,
      className = _ref.className,
      hasBorder = _ref.hasBorder,
      props = _objectWithoutProperties(_ref, ['a11yTitle', 'as', 'children', 'className', 'hasBorder']);

  return _react2.default.createElement(
    _conditionalWrap2.default,
    { condition: hasBorder, wrap: function wrap(children) {
        return _react2.default.createElement(
          OuterBorder,
          null,
          children
        );
      } },
    _react2.default.createElement(
      _styled4.default,
      _extends({ as: as, 'aria-label': a11yTitle }, props),
      children
    )
  );
};

Table.Body = _TableBody2.default;
Table.Caption = _TableCaption2.default;
Table.Cell = _TableCell2.default;
Table.Foot = _TableFoot2.default;
Table.Head = _TableHead2.default;
Table.HeadCell = _TableHeadCell2.default;
Table.Row = _TableRow2.default;

Table.defaultProps = {
  a11yTitle: null,
  as: 'table',
  className: null,
  hasBorder: false
};

exports.default = Table;
module.exports = exports['default'];