'use strict';

exports.__esModule = true;

var _templateObject = _taggedTemplateLiteralLoose(['\n    /* If the color is one from the palette, use it. E.g. background-color="primary" */\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n\n    ', ';\n  '], ['\n    /* If the color is one from the palette, use it. E.g. background-color="primary" */\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n    ', ';\n\n    ', ';\n  ']);

var _styled = require('reakit/styled');

var _camelCase2 = require('lodash/camelCase');

var _camelCase3 = _interopRequireDefault(_camelCase2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var buildColorFromPalette = function buildColorFromPalette(property, _ref) {
  var theme = _ref.theme,
      props = _objectWithoutProperties(_ref, ['theme']);

  var color = theme.palette[props[(0, _camelCase3.default)(property)]];
  if (typeof color === 'function') {
    color = color(props);
  }
  if (!color) return;
  return property + ': ' + color + ' !important;';
};

var buildSpacingFromTheme = function buildSpacingFromTheme(property, _ref2) {
  var theme = _ref2.theme,
      props = _objectWithoutProperties(_ref2, ['theme']);

  var spacing = theme.layout.spacing[props[(0, _camelCase3.default)(property)]];
  if (!spacing) return;
  return property + ': ' + spacing + 'rem !important;';
};

var buildFontSizeFromTheme = function buildFontSizeFromTheme(property, _ref3) {
  var theme = _ref3.theme,
      props = _objectWithoutProperties(_ref3, ['theme']);

  var size = theme.fontSizes[props[(0, _camelCase3.default)(property)]];
  if (!size) return;
  return property + ': ' + size + 'em !important;';
};

exports.default = {
  Box: (0, _styled.css)(_templateObject, function (props) {
    return buildColorFromPalette('color', props);
  }, function (props) {
    return buildColorFromPalette('background-color', props);
  }, function (props) {
    return buildColorFromPalette('border-block-end-color', props);
  }, function (props) {
    return buildColorFromPalette('border-block-start-color', props);
  }, function (props) {
    return buildColorFromPalette('border-bottom-color', props);
  }, function (props) {
    return buildColorFromPalette('border-color', props);
  }, function (props) {
    return buildColorFromPalette('border-inline-end-color', props);
  }, function (props) {
    return buildColorFromPalette('border-inline-start-color', props);
  }, function (props) {
    return buildColorFromPalette('border-left-color', props);
  }, function (props) {
    return buildColorFromPalette('border-right-color', props);
  }, function (props) {
    return buildColorFromPalette('border-top-color', props);
  }, function (props) {
    return buildColorFromPalette('border-bottom-color', props);
  }, function (props) {
    return buildColorFromPalette('caret-color', props);
  }, function (props) {
    return buildColorFromPalette('column-rule-color', props);
  }, function (props) {
    return buildColorFromPalette('outline-color', props);
  }, function (props) {
    return buildColorFromPalette('text-decoration-color', props);
  }, function (props) {
    return buildColorFromPalette('text-emphasis-color', props);
  }, function (props) {
    return buildSpacingFromTheme('margin', props);
  }, function (props) {
    return buildSpacingFromTheme('margin-left', props);
  }, function (props) {
    return buildSpacingFromTheme('margin-right', props);
  }, function (props) {
    return buildSpacingFromTheme('margin-top', props);
  }, function (props) {
    return buildSpacingFromTheme('margin-bottom', props);
  }, function (props) {
    return buildSpacingFromTheme('padding', props);
  }, function (props) {
    return buildSpacingFromTheme('padding-left', props);
  }, function (props) {
    return buildSpacingFromTheme('padding-right', props);
  }, function (props) {
    return buildSpacingFromTheme('padding-top', props);
  }, function (props) {
    return buildSpacingFromTheme('padding-bottom', props);
  }, function (props) {
    return buildFontSizeFromTheme('font-size', props);
  })
};
module.exports = exports['default'];