'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _polished = require('polished');

var _styledTools = require('styled-tools');

exports.default = function () {
  var overrides = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return _extends({
    palette: _extends({
      text: '#435a6f',

      black: 'black',

      white: 'white',
      whiteDark: (0, _polished.darken)(0.03, 'white'),
      whiteDarker: (0, _polished.darken)(0.05, 'white'),
      whiteDarkest: (0, _polished.darken)(0.1, 'white'),

      grayLightest: (0, _polished.lighten)(0.2, 'gray'),
      grayLighter: (0, _polished.lighten)(0.1, 'gray'),
      grayLight: (0, _polished.lighten)(0.05, 'gray'),
      gray: 'gray',
      grayDark: (0, _polished.darken)(0.05, 'gray'),
      grayDarker: (0, _polished.darken)(0.1, 'gray'),
      grayDarkest: (0, _polished.darken)(0.2, 'gray'),

      default: (0, _polished.darken)(0.01, 'white'),
      defaultInverted: (0, _styledTools.palette)('text'),

      primary: '#112ebb',
      primaryTint: (0, _polished.tint)(0.9, '#112ebb'),
      primaryInverted: (0, _styledTools.palette)('white'),

      secondary: '#1d67fc',
      secondaryTint: (0, _polished.tint)(0.9, '#1d67fc'),
      secondaryInverted: (0, _styledTools.palette)('white'),

      success: '#007b2e',
      successTint: (0, _polished.tint)(0.9, '#007b2e'),
      successInverted: (0, _styledTools.palette)('white'),

      danger: '#d60027',
      dangerTint: (0, _polished.tint)(0.9, '#d60027'),
      dangerInverted: (0, _styledTools.palette)('white'),

      warning: '#ffb300',
      warningTint: (0, _polished.tint)(0.9, '#ffb300'),
      warningInverted: (0, _styledTools.palette)('text')

    }, overrides.palette),
    layout: _extends({
      gapFactor: 0.5,
      mobileBreakpoint: 480,
      tabletBreakpoint: 768,
      desktopBreakpoint: 1024,
      widescreenBreakpoint: 1200,
      fullHDBreakpoint: 1440,
      spacing: {
        xxxsmall: 0.25,
        xxsmall: 0.5,
        xsmall: 1,
        small: 1.5,
        medium: 2,
        large: 2.5,
        xlarge: 3,
        xxlarge: 3.5,
        xxxlarge: 4
      }
    }, overrides.layout),
    fontSizes: {
      small: 0.8,
      medium: 1.5,
      large: 2,
      xlarge: 2.25,
      xxlarge: 2.5,
      xxxlarge: 3
    },
    Container: _extends({
      fluidMargin: '0 2rem',
      tabletMargin: '0 1rem'
    }, overrides.Container),
    Table: _extends({
      borderColor: (0, _styledTools.palette)('grayLightest'),
      hover: {
        backgroundColor: (0, _styledTools.palette)('whiteDarker')
      },
      striped: {
        backgroundColor: (0, _styledTools.palette)('whiteDark')
      },
      spacing: (0, _styledTools.theme)('layout.spacing.xxsmall')
    }, overrides.Table)
  }, overrides);
};

module.exports = exports['default'];